package com.fs.fastgptApi.service;

import com.fs.fastgptApi.param.AddDataToCollectionBatchParam;
import com.fs.fastgptApi.param.GetCollectionDataListParam;
import com.fs.fastgptApi.param.SearchTestParam;
import com.fs.fastgptApi.param.UpdateCollectionDataParam;
import com.fs.fastgptApi.result.*;

/**
* 数据
*/
public interface DataSetDataService {

    /**
    * 为集合批量添加添加数据
    */
    AddDataToCollectionBatchResult addDataToCollectionBatch(AddDataToCollectionBatchParam param,String url,String key);

    /**
    * 获取集合的数据列表
    */
    GetCollectionDataListResult getCollectionDataList(GetCollectionDataListParam param,String url,String key);

    /**
    *  获取单条数据详情
    */
    GetCollectionDataDetailResult getCollectionDataDetail(String id,String url,String key);

    /**
    * 修改单条数据
    */
   KnowledgeBaseResult  updateCollectionData(UpdateCollectionDataParam param,String url,String key);

   /**
   * 删除单条数据 数据的id
   */
   KnowledgeBaseResult  deleteCollectionData(String id,String url,String key);

   /**
   * 搜索测试
   */
   SearchTestResult searchTest(SearchTestParam param,String url,String key);
}
